#\u7B49\u7EA7\u53EF\u5206\u4E3AOFF\u3001FATAL\u3001ERROR\u3001WARN\u3001INFO\u3001DEBUG\u3001ALL\uFF0C\u5982\u914D\u7F6E\u4E3AINFO\u8FD9\u6837\u53EA\u663E\u793AINFO, WARN, ERROR\u7684log\u4FE1\u606F\uFF0C\u800CDEBUG\u4FE1\u606F\u4E0D\u4F1A\u88AB\u663E\u793A
#log4j.rootLogger=info,stdout,error
log4j.rootLogger=ALL, A1
log4j.appender.A1=org.apache.log4j.ConsoleAppender
log4j.appender.A1.encoding=GBK
log4j.appender.A1.layout=org.apache.log4j.PatternLayout
log4j.appender.A1.layout.ConversionPattern=%X{remoteIp} %X{device} %-d{yyyy-MM-dd HH:mm:ss} [%c %M]-[%p] %m%n

#set log output to file info.log
#log4j.appender.D.encoding=UTF-8
#log4j.appender.D=org.apache.log4j.DailyRollingFileAppender
#log4j.appender.D.File=D://out//info.log
#log4j.appender.D.DatePattern='.'yyyy-MM-dd-HH
#log4j.appender.D.Threshold = DEBUG
#log4j.appender.D.layout=org.apache.log4j.PatternLayout
#log4j.appender.D.layout.ConversionPattern=%-5p %-d{yy-MM-dd HH:mm:ss} : %m%n

#set spring log level DEGUG
#log4j.logger.org.springframework=DEGUG,S1
log4j.logger.org.springframework=WARN
#set spring log not output to root appender
log4j.additivity.org.springframework=false

#set spring info log output to Console
log4j.appender.S1=org.apache.log4j.ConsoleAppender
log4j.appender.S1.encoding=GBK
log4j.appender.S1.Threshold=DEGUG
log4j.appender.S1.layout=org.apache.log4j.PatternLayout
log4j.appender.S1.layout.ConversionPattern=%X{remoteIp} %X{device} %-d{yyyy-MM-dd HH:mm:ss} [%c %M %L]-[%p] %m%n

#set spring debug log out to file info.log
#log4j.appender.S.encoding=UTF-8
#log4j.appender.S=org.apache.log4j.DailyRollingFileAppender
#log4j.appender.S.File=D://out//info.log
#log4j.appender.S.append=false
# create new log file every day
#log4j.appender.S.DatePattern='.'yyyy-MM-dd
#log4j.appender.S.Threshold = DEBUG
#log4j.appender.S.layout=org.apache.log4j.PatternLayout
#log4j.appender.S.layout.ConversionPattern=%X{remoteIp} %X{device} %-d{yyyy-MM-dd HH:mm:ss} [%c %M]-[%p] %m%n

#\u7C7B\u5305
#log4j.logger.community.ideal=ALL,ws

#ibatis
log4j.rootLogger = debug ,  stdout ,  D ,  E

log4j.appender.stdout = org.apache.log4j.ConsoleAppender

log4j.appender.stdout.Target = System.out

log4j.appender.stdout.layout = org.apache.log4j.PatternLayout

log4j.appender.stdout.layout.ConversionPattern =  %d %p [%c] - %m%n

log4j.logger.com.ibatis=debug

log4j.logger.com.ibatis.common.jdbc.SimpleDataSource=debug

log4j.logger.com.ibatis.common.jdbc.ScriptRunner=debug

log4j.logger.com.ibatis.sqlmap.engine.impl.SqlMapClientDelegate=debug

log4j.logger.java.sql.Connection=debug

log4j.logger.java.sql.Statement=debug

log4j.logger.java.sql.PreparedStatement=debug,stdout

log4j.logger.org.apache.cxf=INFO

log4j.logger.com.mchange=INFO

log4j.logger.com.ssm=INFO, G
log4j.additivity.com.ssm=false

log4j.appender.G=org.apache.log4j.ConsoleAppender
log4j.appender.G.encoding=GBK
log4j.appender.G.file=D://out//ssm_webapp.log
log4j.appender.G.append=false
#log4j.appender.G.file=D://out//ssm_webapp.log
#log4j.appender.G.append=false

log4j.appender.G.layout=org.apache.log4j.PatternLayout
#log4j.appender.G.layout.ConversionPattern=%X{remoteIp} %X{device} %-d{yyyy-MM-dd HH:mm:ss,SSS} [%c %M]-[%p] %m%n
log4j.appender.G.layout.ConversionPattern=%X{remoteIp} %X{device} %-d{yyyy-MM-dd HH:mm:ss} -------------> %m%n

